Skip site navigation (1) Skip section navigation (2)

Re: [PHP] [BUGS] PostgreSQL / PHP Overrun Error

From: "Mike Rogers" <temp6453(at)hotmail(dot)com>
To: Martín Marqués <martin(at)bugs(dot)unl(dot)edu(dot)ar>
Cc: <pgsql-hackers(at)postgresql(dot)org>, <pgsql-php(at)postgresql(dot)org>
Subject: Re: [PHP] [BUGS] PostgreSQL / PHP Overrun Error
Date: 2001-09-27 21:22:14
Message-ID: OE40BJWcNjOuk8cobC300003175@hotmail.com (view raw or flat)
Thread:
Lists: pgsql-bugspgsql-hackerspgsql-php
I'm using the current CVS (4.0.8-dev)- It's spectacular.  Lower memory
usage, more descriptive debug, better control over it.  Tons more options,
smaller code, much much faster.

    Can you trust it- sure.  It isn't a release candidate.  It is the
current development version.  As they find problems, they get fixed.  As
long as you keep a bit on top you are fine.  If anything it is _MORE_ secure
than the current version, as any security problems were fixed earlier as
soon as they get found, and new bugs aren't known yet.  I'm seriously
impressed with it and feel like I will be using the CVS code quite a bit
more.  Any bugs Zend memory manager cleans up anyway.

    Note: if you are not having the problem of 0 rows or buffer overruns,
don't bother upgrading as it will not benefit you.  Clearly I was and the
new code fixed the flaws in the existing code for my usage.
--
Mike

----- Original Message -----
From: "Martín Marqués" <martin(at)bugs(dot)unl(dot)edu(dot)ar>
To: "Mike Rogers" <temp6453(at)hotmail(dot)com>
Cc: <pgsql-hackers(at)postgresql(dot)org>; <pgsql-php(at)postgresql(dot)org>
Sent: Thursday, September 27, 2001 5:55 PM
Subject: Re: [PHP] [HACKERS] [BUGS] PostgreSQL / PHP Overrun Error


> On Mié 26 Sep 2001 22:51, Mike Rogers wrote:
> > There is a problem in PHP-4.0.6.  Please use PHP4.0.7 or 4.0.8 and the
> > problem will be solved.  This can be obtained from CVS
>
> Sorry, but 4.0.6 is the last version out (there may be some RC of 4.0.7),
but
> how can we get those, and how much can we trust a RC version?
>
> Saludos... :-)
>
> --
> Porqué usar una base de datos relacional cualquiera,
> si podés usar PostgreSQL?
> -----------------------------------------------------------------
> Martín Marqués                  |        mmarques(at)unl(dot)edu(dot)ar
> Programador, Administrador, DBA |       Centro de Telematica
>                        Universidad Nacional
>                             del Litoral
> -----------------------------------------------------------------
>

In response to

Responses

pgsql-hackers by date

Next:From: Bruce MomjianDate: 2001-09-28 00:40:17
Subject: Re: O_DIRECT and performance
Previous:From: Martín MarquésDate: 2001-09-27 20:55:36
Subject: Re: [PHP] [BUGS] PostgreSQL / PHP Overrun Error

pgsql-bugs by date

Next:From: Dave PageDate: 2001-09-28 07:33:16
Subject: pg_get_indexdef (PostgreSQL 7.2 Snapshot)
Previous:From: Martín MarquésDate: 2001-09-27 20:55:36
Subject: Re: [PHP] [BUGS] PostgreSQL / PHP Overrun Error

pgsql-php by date

Next:From: Bruce MomjianDate: 2001-09-28 19:50:12
Subject: Re: [PHP] [BUGS] PostgreSQL / PHP Overrun Error
Previous:From: Martín MarquésDate: 2001-09-27 20:55:36
Subject: Re: [PHP] [BUGS] PostgreSQL / PHP Overrun Error

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group